> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Kline

> Get the latest klines of the trading instrument.

**Limit: 10 requests per 1 second**


## OpenAPI

````yaml GET /v3/public/kline
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/public/kline:
    get:
      description: Get the latest klines of the trading instrument.
      parameters:
        - name: symbol
          in: query
          description: Symbol name
          required: true
          explode: true
          schema:
            type: string
        - name: type
          in: query
          description: 1m/3m/5m/15m/30m/1h/2h/4h/6h/12h/1d/1w/1mon/1y
          required: true
          explode: true
          schema:
            type: string
        - name: limit
          in: query
          description: Numbers of klines. Maximum of 1000 klines allowed.
          required: false
          explode: true
          schema:
            type: integer
            default: 100
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KlineResponse'
      security: []
components:
  schemas:
    KlineResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      open:
                        type: string
                        description: ''
                      close:
                        type: string
                        description: ''
                      low:
                        type: string
                        description: ''
                      high:
                        type: string
                        description: ''
                      volume:
                        type: string
                        description: ''
                      amount:
                        type: string
                        description: ''
                      symbol:
                        type: string
                        description: ''
                      type:
                        type: string
                        description: ''
                      startTimestamp:
                        type: number
                        description: ''
                      endTimestamp:
                        type: number
                        description: ''
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````